Bug 14430 - Incorrect or inconsistent glyph values for ⟩ and ⟨
Summary: Incorrect or inconsistent glyph values for ⟩ and ⟨
Status: CLOSED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Edward O'Connor
QA Contact: HTML WG Bugzilla archive list
URL: http://www.w3.org/TR/html5/named-char...
Whiteboard:
Keywords:
Depends on: 19489 20702
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-11 16:12 UTC by Leif Halvard Silli
Modified: 2013-05-14 21:46 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leif Halvard Silli 2011-10-11 16:12:19 UTC
* The 'Glyph' column for for ⟩ contains 〉 whereas the 'Character(s)' column says that ⟩ has been redefined since HTML4 and is now pointing to ⟩/⟩

And ditto:

* The 'Glyph' column for for ⟨ contains 〈 whereas the 'Character(s)' column says that ⟨ has been redefined since HTML4 and is now pointing to ⟨/⟨

Or to quote the source code in the spec:

   <tr id="entity-rang">
      <td> <code title="">rang;</code> </td>
      <td> U+027E9 </td> 
       <td> <span class="glyph" title="">&#9002;</span> </td>
   </tr>

   <tr id="entity-lang">
      <td> <code title="">lang;</code> </td>
      <td> U+027E8 </td>
      <td> <span class="glyph" title="">&#9001;</span> </td>
   </tr>


Btw, you might also want to see bug 14429
Comment 1 Ian 'Hixie' Hickson 2011-10-21 22:53:03 UTC
That's a bug in the preprocessor's parser, I think.
Comment 2 Ian 'Hixie' Hickson 2012-01-27 18:26:52 UTC
Is this still broken?
Comment 3 Leif Halvard Silli 2012-03-01 16:28:16 UTC
(In reply to comment #2)
> Is this still broken?


Yes, it is still broken. Tested today.
Comment 4 contributor 2012-07-18 07:14:57 UTC
This bug was cloned to create bug 17902 as part of operation convergence.
Comment 5 Edward O'Connor 2012-09-06 23:28:50 UTC
Looks like this has been fixed.
Comment 6 Leif Halvard Silli 2012-09-06 23:51:59 UTC
How did you verify that it worked?

This is how I verified that it did not work:

1) Search for the cell with the text U+27E9
2) Double click on the cell just to the right of 
    that cell, in order to select its content
3) Copy (Cmd+C on a Mac)
4) Open UnicodeChecker (http://earthlingsoft.net/UnicodeChecker/)
5) Pay Shareware fee to the developer
6) Paste the character you coped into UnicodeChecker
7) Delete the extra space that you proably copied
8) Check the result.

RESULT:

I get 'RIGHT-POINTING ANGLE BRACKET'/U+232A

It should have been: 'MATHEMATICAL RIGHT ANGLE BRACKET'/U+27E9

Sorry. Still broken.
Comment 7 Edward O'Connor 2012-10-03 01:19:00 UTC
Will address this and <https://www.w3.org/Bugs/Public/show_bug.cgi?id=18232> at the same time.
Comment 8 Edward O'Connor 2012-10-12 21:54:46 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: https://github.com/w3c/html/commit/573ee3cd9b07533b66ff6fa6ca8b6eaf2a27d8bf
Rationale: Fixed.
Comment 9 Leif Halvard Silli 2012-10-12 22:57:09 UTC
Looked at spec, and it does indeed seem to be corrected now.
Comment 10 Leif Halvard Silli 2013-01-18 02:42:31 UTC
(In reply to comment #9)
> Looked at spec, and it does indeed seem to be corrected now.

Since I suspect that bug 20702 is a result of how this bug was solved, I am opening this bug again, so that we can verify - once bug 20702 is solved, that this bug remains solved even then.
Comment 11 Edward O'Connor 2013-02-12 22:29:10 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Additional Information Needed
Change Description: No spec change.
Rationale: Resolving as REMIND so that we'll look at this again after
bug 20702 is taken care of.
Comment 12 Edward O'Connor 2013-05-14 20:42:48 UTC
Reopening, as bug 20702 has been fixed. I'll resolve this once I've verified that the 5.1 nightly on w3.org doesn't exhibit this problem.
Comment 13 Edward O'Connor 2013-05-14 21:14:47 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: https://github.com/w3c/html-tools/commit/5f9f4a20b520da183084bb6a0c28cdac869ba0cc
Rationale: Fix verified by David Carlisle in bug 12539 comment 20.
Comment 14 Leif Halvard Silli 2013-05-14 21:46:00 UTC
I’m relying you and David’s assessment.